package com.nokia.pojo;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serializable;
import java.util.Set;

@Data
@TableName("sqmdb_rpt.acl_user")
public class User implements Serializable {

    @TableId(type = IdType.AUTO)
    private Integer userId;
    private String loginName;
    private String userName;
    private String phone;
    private String email;
    private Integer cityId;
    // 需要从city表中对应
    @TableField(exist = false)
    private City city;
    // 所属区县 为空表示不归属区县 归属于地市
    private String district;
    @TableField(exist = false)
    private Set<Role> roles;
}
