package com.nokia;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.RedisTemplate;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.nokia.pojo.Role;
import com.nokia.pojo.User;
import com.nokia.service.RoleService;
import com.nokia.service.UserService;

/**
 * 操作数据库中的用户信息
 */
@SpringBootTest
public class UserModifyTest {

    @Autowired
    private RedisTemplate<String, Object> redisTemplate;

    @Autowired
    private UserService userService;

    @Autowired
    private RoleService roleService;

    // 清除redis
    @Test
    void test() {
        Boolean delete = redisTemplate.delete("test_token_abc");
        System.out.println(delete);
    }

    // 修改用户--增加黑点库权限
    @Test
    void test1() {
        User user = userService.getByLoginName("test_shijiazhuang");
        // RoleEntity role = new RoleEntity();
        // role.setRoleName("黑点库管理");
        // role = roleService.getOne(Wrappers.query(role));
        // user.getRoles().add(role);
        Role role2 = new Role();
        role2.setRoleName("黑点库查询");
        role2 = roleService.getOne(Wrappers.query(role2));
        user.getRoles().add(role2);
        userService.update(user);
    }

    @Test
    void test2() {
        String str = "{\"no\": \"aaa\"}";
        JSONObject jsonObject = JSON.parseObject(str);
        System.out.println(jsonObject);
        Integer integer = jsonObject.getInteger("no");
        System.out.println(integer);
    }
}
