package com.nokia.vo;

import com.nokia.pojo.User;
import lombok.Data;

@Data
public class FenxiUserVo {
    private Integer id;
    private String account;
    private String name;
    // 1为可用，其他为不可用
    private Integer status;
    // city为城市id
    private String city;

    public FenxiUserVo(User userEntity) {
        this.id = userEntity.getUserId();
        this.account = userEntity.getLoginName();
        this.name = userEntity.getUserName();
        this.status = 1;
        this.city = userEntity.getCity().getCityNameZh();
    }
}
